rm /etc/nginx/sites-available/default
echo "
server {
    listen 1234;
    server_name  localhost;
    location / {
        proxy_set_header   X-Forwarded-For \$remote_addr;
        proxy_set_header   Host \$http_host;
        proxy_pass         "http://127.0.0.1:6666";
    }
    location /stats {
        proxy_pass         http://localhost:3000;
        rewrite  ^/stats/(.*)  /\$1 break;
        proxy_set_header   Host \$host;
    }
}
" >> /etc/nginx/sites-available/default
service nginx restart
service grafana start